=== debian/changelog ===
linkchecker (8.3-1) unstable; urgency=low

  * New upstream release.
  * Remove unneeded dependency on pysqlite.
  * Remove conflict on python-dns.
    Closes: #694809

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 06 Jan 2013 22:33:15 +0100

linkchecker (8.2-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper compatibility level 9.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 09 Nov 2012 19:19:41 +0100
