=== debian/control ===
Source: linkchecker
Section: web
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: debhelper (>= 9),
               gettext,
               hardening-wrapper,
               python-all-dev (>= 2.7),
               qt4-dev-tools
X-Python-Version: >= 2.7
Standards-Version: 3.9.3.1
Homepage: http://wummel.github.com/linkchecker/
XS-Vcs-Git-Upstream: git://github.com/wummel/linkchecker.git
XS-Vcs-Browser-Upstream: https://github.com/wummel/linkchecker

Package: linkchecker
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python (>= 2.7.2)
Provides: ${python:Provides}
Suggests: clamav-daemon,
          linkchecker-gui,
          linkchecker-web,
          python-cssutils,
          python-gconf,
          python-geoip (>= 1.2.1-2),
          python-meliae,
          python-optcomplete (>= 1.2-5),
          python-twill,
          python-utidylib
Description: check websites and HTML documents for broken links
 Provides a command line program and web interface to check links
 of websites and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o output in colored or normal text, HTML, SQL, CSV, XML or a sitemap
    graph in different formats
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o Cookie support
  o i18n support
  o HTML and CSS syntax check
  o Antivirus check
 Users preferring a graphical interface can install the linkchecker-gui
 package.

Package: linkchecker-web
Architecture: all
Depends: linkchecker,
         apache2 | httpd,
         libapache2-mod-wsgi | httpd-wsgi,
         ${misc:Depends},
         ${python:Depends}
Conflicts: linkchecker (<< 7.7)
Description: check websites and HTML documents for broken links (web client)
 Provides a web interface to check links of websites and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o i18n support

Package: linkchecker-gui
Architecture: all
Depends: libqt4-sql-sqlite,
         linkchecker,
         python-qt4 (>= 4.5),
         python-qt4-sql,
         ${misc:Depends},
         ${python:Depends}
Recommends: python-qscintilla2
Description: check websites and HTML documents for broken links (GUI client)
 Provides a graphical interface "linkchecker-gui" to check links of websites
 and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o i18n support
