=== debian/watch ===
# watch control file for uscan
version=3
http://sf.net/linkchecker/LinkChecker-(.*).tar.xz debian uupdate
