=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                qt4-dev-tools
 X-Python-Version: >= 2.7
 Standards-Version: 3.9.4
-Homepage: http://wummel.github.com/linkchecker/
+Homepage: http://wummel.github.io/linkchecker/
 
 Package: linkchecker
 Architecture: any
@@ -52,7 +52,7 @@
          apache2 | httpd,
          libapache2-mod-wsgi | httpd-wsgi,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends}, python (>= 2.7.2)
 Conflicts: linkchecker (<< 7.7)
 Description: check websites and HTML documents for broken links (web client)
  Provides a web interface to check links of websites and HTML documents.
