=== debian/watch ===
# watch control file for uscan
version=3
http://wummel.github.com/linkchecker/ \
  http://github.com/downloads/wummel/linkchecker/LinkChecker-(.*).tar.xz
