## linkchecker 8.6

=== Makefile ===
--- 
+++ 
@@ -4,12 +4,15 @@
 VERSION:=$(shell $(PYTHON) setup.py --version)
 PLATFORM:=$(shell $(PYTHON) -c "from distutils.util import get_platform; print get_platform()")
 APPNAME:=$(shell $(PYTHON) setup.py --name)
+AUTHOR:=$(shell $(PYTHON) setup.py --author)
+MAINTAINER:=$(shell $(PYTHON) setup.py --maintainer)
 LAPPNAME:=$(shell echo $(APPNAME)|tr "[A-Z]" "[a-z]")
 ARCHIVE_SOURCE:=$(APPNAME)-$(VERSION).tar.xz
 ARCHIVE_WIN32:=$(APPNAME)-$(VERSION).exe
 GITUSER:=wummel
 GITREPO:=$(LAPPNAME)
-HOMEPAGE:=$(HOME)/public_html/$(LAPPNAME).git
+HOMEPAGE:=$(HOME)/public_html/$(LAPPNAME)-webpage.git
+WEB_META:=doc/web/app.yaml
 DEBUILDDIR:=$(HOME)/projects/debian/official
 DEBORIGFILE:=$(DEBUILDDIR)/$(LAPPNAME)_$(VERSION).orig.tar.xz
 DEBPACKAGEDIR:=$(DEBUILDDIR)/$(APPNAME)-$(VERSION)
@@ -57,16 +60,13 @@
 PY2APPOPTS ?=
 ifeq ($(shell uname),Darwin)
   CHMODMINUSMINUS:=
-  NUMPROCESSORS:=$(shell sysctl -n hw.ncpu)
 else
   CHMODMINUSMINUS:=--
-  NUMPROCESSORS:=$(shell grep -c processor /proc/cpuinfo)
 endif
 # Pytest options:
-# - use multiple processors
+# - use multiple processes
 # - write test results in file
-# - log test durations
-PYTESTOPTS:=-n $(NUMPROCESSORS) --resultlog=testresults.txt --durations=0
+PYTESTOPTS:=-n 4 --resultlog=testresults.txt
 
 
 all:
@@ -105,22 +105,27 @@
 	cp -f build/lib.$(PLATFORM)-$(PYVER)*/linkcheck/network/_network*.so linkcheck/network
 
 release: distclean releasecheck filescheck
-	$(MAKE) dist sign upload homepage tag register deb
+	$(MAKE) dist sign upload homepage tag register changelog deb
 
 tag:
 	git tag upstream/$(VERSION)
 	git push --tags origin upstream/$(VERSION)
 
 upload:
-	github-upload $(GITUSER) $(GITREPO) \
-	  dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_WIN32) \
-	  dist/$(ARCHIVE_SOURCE).asc dist/$(ARCHIVE_WIN32).asc
+	cp dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_WIN32) \
+	  dist/$(ARCHIVE_SOURCE).asc dist/$(ARCHIVE_WIN32).asc \
+	  $(HOMEPAGE)/dist
 
 homepage:
+# update metadata
+	@echo "version: \"$(VERSION)\"" > $(WEB_META)
+	@echo "name: \"$(APPNAME)\"" >> $(WEB_META)
+	@echo "lname: \"$(LAPPNAME)\"" >> $(WEB_META)
+	@echo "maintainer: \"$(MAINTAINER)\"" >> $(WEB_META)
+	@echo "author: \"$(AUTHOR)\"" >> $(WEB_META)
 # update documentation and man pages
 	$(MAKE) -C doc man
-# generate static files
-	make -C $(HOMEPAGE) gen upload
+	$(MAKE) -C doc/web release
 
 register:
 	@echo "Register at Python Package Index..."
@@ -139,6 +144,7 @@
 	  cd $(CURDIR); \
 	  git checkout debian; \
 	  cp -r debian $(DEBPACKAGEDIR); \
+	  rm -f $(DEBPACKAGEDIR)/debian/.gitignore; \
 	  git checkout master)
 	$(MAKE) -C $(DEBUILDDIR) $(LAPPNAME)_clean $(LAPPNAME)
 
@@ -161,6 +167,10 @@
 	$(MAKE) -C doc/html
 	$(MAKE) -C linkcheck/HtmlParser
 	$(PYTHON) setup.py bdist_rpm
+
+# Build portable Linux app
+binary:	distclean localbuild chmod
+	LINKCHECKER_FREEZE=1 $(PYTHON) setup.py bdist
 
 # The check programs used here are mostly local scripts on my private system.
 # So for other developers there is no need to execute this target.
@@ -207,10 +217,8 @@
 
 pyflakes:
 	pyflakes $(PY_FILES_DIRS) 2>&1 | \
-          grep -v -E "redefinition of unused '(StringIO|Editor|ContentTypeLexers|winreg)'" | \
           grep -v "local variable 'dummy' is assigned to but never used" | \
           grep -v -E "'(py2exe|py2app|PyQt4|biplist|setuptools|win32com|find_executable|parse_bookmark_data|parse_bookmark_file|wsgiref|pyftpdlib|linkchecker_rc)' imported but unused" | \
-          grep -v -E "redefinition of unused '(setup|Distribution|build)'" | \
           grep -v "undefined name '_'" | \
 	  grep -v "undefined name '_n'" | cat
