=== debian/changelog ===
linkchecker (8.6-2) unstable; urgency=low

  * Updated debian/watch

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 15 Jan 2014 20:09:07 +0100

linkchecker (8.6-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards version to 3.9.5

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 08 Jan 2014 22:44:41 +0100
