=== debian/watch ===
# LinkChecker-(.*)\.tar\.xz
# watch control file for uscan
version=3
http://wummel.github.io/linkchecker/ \
  http://wummel.github.io/linkchecker/dist/LinkChecker-(.*)\.tar\.xz
