## linkchecker 9.3

=== Makefile ===
--- 
+++ 
@@ -2,27 +2,28 @@
 PYVER:=2.7
 PYTHON?=python$(PYVER)
 VERSION:=$(shell $(PYTHON) setup.py --version)
-PLATFORM:=$(shell $(PYTHON) -c "from distutils.util import get_platform; print get_platform()")
+PLATFORM:=$(shell $(PYTHON) -c "from __future__ import print_function; from distutils.util import get_platform; print(get_platform())")
 APPNAME:=$(shell $(PYTHON) setup.py --name)
 AUTHOR:=$(shell $(PYTHON) setup.py --author)
 MAINTAINER:=$(shell $(PYTHON) setup.py --maintainer)
 LAPPNAME:=$(shell echo $(APPNAME)|tr "[A-Z]" "[a-z]")
-ARCHIVE_SOURCE:=$(APPNAME)-$(VERSION).tar.xz
+ARCHIVE_SOURCE_EXT:=gz
+ARCHIVE_SOURCE:=$(APPNAME)-$(VERSION).tar.$(ARCHIVE_SOURCE_EXT)
 ARCHIVE_WIN32:=$(APPNAME)-$(VERSION).exe
 GITUSER:=wummel
 GITREPO:=$(LAPPNAME)
 HOMEPAGE:=$(HOME)/public_html/$(LAPPNAME)-webpage.git
 WEB_META:=doc/web/app.yaml
 DEBUILDDIR:=$(HOME)/projects/debian/official
-DEBORIGFILE:=$(DEBUILDDIR)/$(LAPPNAME)_$(VERSION).orig.tar.xz
+DEBORIGFILE:=$(DEBUILDDIR)/$(LAPPNAME)_$(VERSION).orig.tar.$(ARCHIVE_SOURCE_EXT)
 DEBPACKAGEDIR:=$(DEBUILDDIR)/$(APPNAME)-$(VERSION)
 FILESCHECK_URL:=http://localhost/~calvin/
 SRCDIR:=${HOME}/src
-PY_FILES_DIRS:=linkcheck tests *.py linkchecker linkchecker-nagios linkchecker-gui cgi-bin config doc
+PY_FILES_DIRS:=linkcheck tests *.py linkchecker linkchecker-gui cgi-bin config doc/examples scripts
 MYPY_FILES_DIRS:=linkcheck/HtmlParser linkcheck/checker \
 	  linkcheck/cache linkcheck/configuration linkcheck/director \
 	  linkcheck/htmlutil linkcheck/logger linkcheck/network \
-	  linkcheck/bookmarks \
+	  linkcheck/bookmarks linkcheck/plugins linkcheck/parser \
 	  linkcheck/gui/__init__.py \
 	  linkcheck/gui/checker.py \
 	  linkcheck/gui/contextmenu.py \
@@ -45,7 +46,6 @@
 	  cgi-bin/lc.wsgi \
 	  linkchecker \
 	  linkchecker-gui \
-	  linkchecker-nagios \
 	  *.py
 
 TESTS ?= tests
@@ -105,15 +105,19 @@
 	cp -f build/lib.$(PLATFORM)-$(PYVER)*/linkcheck/network/_network*.so linkcheck/network
 
 release: distclean releasecheck filescheck
-	$(MAKE) dist sign upload homepage tag register changelog deb
+	$(MAKE) dist sign register upload homepage tag changelog deb
 
 tag:
 	git tag upstream/$(VERSION)
 	git push --tags origin upstream/$(VERSION)
 
-upload:
-	cp dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_WIN32) \
-	  dist/$(ARCHIVE_SOURCE).asc dist/$(ARCHIVE_WIN32).asc \
+upload:	upload_source upload_binary
+
+upload_source:
+	twine upload dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_SOURCE).asc
+
+upload_binary:
+	cp dist/$(ARCHIVE_WIN32) dist/$(ARCHIVE_WIN32).asc \
 	  $(HOMEPAGE)/dist
 
 homepage:
@@ -123,6 +127,8 @@
 	@echo "lname: \"$(LAPPNAME)\"" >> $(WEB_META)
 	@echo "maintainer: \"$(MAINTAINER)\"" >> $(WEB_META)
 	@echo "author: \"$(AUTHOR)\"" >> $(WEB_META)
+	git add $(WEBMETA)
+	-git commit -m "Updated webpage meta info"
 # update documentation and man pages
 	$(MAKE) -C doc man
 	$(MAKE) -C doc/web release
@@ -130,9 +136,6 @@
 register:
 	@echo "Register at Python Package Index..."
 	$(PYTHON) setup.py register
-	@echo "done."
-	@echo "Submitting to Freecode..."
-	freecode-submit < $(LAPPNAME).freecode
 	@echo "done."
 
 deb:
@@ -153,9 +156,9 @@
 	find . -type d -exec chmod 755 {} \;
 
 dist: locale MANIFEST chmod
-	rm -f dist/$(APPNAME)-$(VERSION).tar.xz
+	rm -f dist/$(ARCHIVE_SOURCE)
 	$(PYTHON) setup.py sdist --formats=tar
-	xz dist/$(APPNAME)-$(VERSION).tar
+	gzip --best dist/$(APPNAME)-$(VERSION).tar
 	[ ! -f ../$(ARCHIVE_WIN32) ] || cp ../$(ARCHIVE_WIN32) dist
 
 # Build OSX installer with py2app
@@ -192,9 +195,9 @@
 	done
 
 update-copyright:
-	update-copyright --holder="Bastian Kleineidam"
-
-releasecheck: check update-certificates
+	update-copyright --holder="Bastian Kleineidam" $(PY_FILES_DIRS)
+
+releasecheck: check
 	@if egrep -i "xx\.|xxxx|\.xx" doc/changelog.txt > /dev/null; then \
 	  echo "Could not release: edit doc/changelog.txt release date"; false; \
 	fi
@@ -202,13 +205,10 @@
 	  echo "Missing WIN32 distribution archive at ../$(ARCHIVE_WIN32)"; \
 	  false; \
 	fi
-	@if ! grep "Version: $(VERSION)" $(LAPPNAME).freecode > /dev/null; then \
-	  echo "Could not release: edit $(LAPPNAME).freecode version"; false; \
-	fi
 	$(PYTHON) setup.py check --restructuredtext
 
 sign:
-	for f in $(shell find dist -name *.xz -o -name *.exe -o -name *.zip -o -name *.dmg); do \
+	for f in $(shell find dist -name *.$(ARCHIVE_SOURCE_EXT) -o -name *.exe -o -name *.zip -o -name *.dmg); do \
 	  [ -f $${f}.asc ] || gpg --detach-sign --armor $$f; \
 	done
 
@@ -218,7 +218,7 @@
 pyflakes:
 	pyflakes $(PY_FILES_DIRS) 2>&1 | \
           grep -v "local variable 'dummy' is assigned to but never used" | \
-          grep -v -E "'(py2exe|py2app|PyQt4|biplist|setuptools|win32com|find_executable|parse_bookmark_data|parse_bookmark_file|wsgiref|pyftpdlib|linkchecker_rc)' imported but unused" | \
+          grep -v -E "'(py2exe|py2app|PyQt4|biplist|setuptools|win32com|find_executable|parse_sitemap|parse_sitemapindex|parse_bookmark_data|parse_bookmark_file|wsgiref|pyftpdlib|linkchecker_rc)' imported but unused" | \
           grep -v "undefined name '_'" | \
 	  grep -v "undefined name '_n'" | cat
 
@@ -227,7 +227,7 @@
 
 # Compare custom Python files with the originals
 diff:
-	@for f in gzip robotparser httplib; do \
+	@for f in gzip robotparser; do \
 	  echo "Comparing $${f}.py"; \
 	  diff -u linkcheck/$${f}2.py $(SRCDIR)/cpython.hg/Lib/$${f}.py | $(PAGER); \
 	done
@@ -246,18 +246,13 @@
 	$(MAKE) -C linkcheck/gui
 
 count:
-	@sloccount linkchecker linkchecker-gui linkchecker-nagios linkcheck tests
+	@sloccount linkchecker linkchecker-gui linkcheck tests
 
 # run eclipse ide
 ide:
 	eclipse -data $(CURDIR)/..
 
-update-certificates:	config/ca-certificates.crt
-
-config/ca-certificates.crt:	/etc/ssl/certs/ca-certificates.crt
-	cp $< $@
-
 .PHONY: test changelog gui count pyflakes ide login upload all clean distclean
 .PHONY: pep8 cleandeb locale localbuild deb diff dnsdiff sign
 .PHONY: filescheck update-copyright releasecheck check register announce
-.PHONY: chmod dist app rpm release homepage update-certificates
+.PHONY: chmod dist app rpm release homepage
