=== debian/changelog ===
linkchecker (9.3-5) unstable; urgency=medium

  * QA upload.
  * Add another patch to make SSL work with requests >= 2.1.5.

 -- Vincent Bernat <bernat@debian.org>  Sat, 18 Nov 2017 13:35:07 +0100

linkchecker (9.3-4) unstable; urgency=medium

  * QA upload.
  * Update SSL patch which was broken after unbundling in
    python-requests. Related to #772947.

 -- Vincent Bernat <bernat@debian.org>  Sat, 23 Jul 2016 14:42:30 +0200

linkchecker (9.3-3) unstable; urgency=medium

  * QA upload.
  * Add call to dh_auto_install in override_dh_auto_install-indep,
    should make "dpkg-buildpackage -A" to work. Closes: #806069.

 -- Santiago Vila <sanvila@debian.org>  Mon, 18 Jul 2016 14:02:12 +0200

linkchecker (9.3-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA Group
  * Add dh-python to build-deps
  * Put bash completions in correct location
  * Removed redundant menu file
  * Updated watch file
  * Dropped build-dep on hardening-flags
  * Dropped unneeded versions on deps
  * Bumped standards version to 3.9.8
  * Patch from upstream to fix Python version check (Closes: #826027)

 -- David William Richmond Jones <dwrj87@gmail.com>  Mon, 04 Jul 2016 06:08:23 +0100

linkchecker (9.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix HTTPS checks (Closes: #772947)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 19 May 2016 14:53:14 -0400

linkchecker (9.3-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 16 Jul 2014 07:34:41 +0200

linkchecker (9.2-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/copyright

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 23 Apr 2014 22:31:41 +0200

linkchecker (9.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 30 Mar 2014 19:22:02 +0200

linkchecker (9.0-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 04 Mar 2014 22:01:40 +0100
