=== debian/control ===
--- 
+++ 
@@ -1,30 +1,36 @@
 Source: linkchecker
 Section: web
 Priority: optional
-Maintainer: Bastian Kleineidam <calvin@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                gettext,
-               hardening-wrapper,
-               python-all-dev (>= 2.7),
+               python-all-dev,
+               python-requests (>= 2.2.1),
+               python-urllib3,
                qt4-dev-tools
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.5
-Homepage: http://wummel.github.io/linkchecker/
+Standards-Version: 3.9.8
+Homepage: https://wummel.github.io/linkchecker/
 
 Package: linkchecker
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python (>= 2.7.2)
+Depends: python,
+         python-requests (>= 2.2.1),
+         python-urllib3,
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Provides: ${python:Provides}
 Suggests: clamav-daemon,
           linkchecker-gui,
           linkchecker-web,
+          python-argcomplete,
           python-cssutils,
           python-gconf,
-          python-geoip (>= 1.2.1-2),
+          python-geoip,
           python-meliae,
-          python-optcomplete (>= 1.2-5),
-          python-twill,
-          python-utidylib
+          python-twill
 Description: check websites and HTML documents for broken links
  Provides a command line program and web interface to check links
  of websites and HTML documents.
@@ -48,11 +54,12 @@
 
 Package: linkchecker-web
 Architecture: all
-Depends: linkchecker,
-         apache2 | httpd,
+Depends: apache2 | httpd,
          libapache2-mod-wsgi | httpd-wsgi,
+         linkchecker,
+         python,
          ${misc:Depends},
-         ${python:Depends}, python (>= 2.7.2)
+         ${python:Depends}
 Conflicts: linkchecker (<< 7.7)
 Description: check websites and HTML documents for broken links (web client)
  Provides a web interface to check links of websites and HTML documents.
@@ -70,7 +77,7 @@
 Architecture: all
 Depends: libqt4-sql-sqlite,
          linkchecker,
-         python-qt4 (>= 4.5),
+         python-qt4,
          python-qt4-sql,
          ${misc:Depends},
          ${python:Depends}
