=== debian/watch ===
# watch control file for uscan
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/linkchecker-$1\.tar\.gz/ \
  https://github.com/wummel/linkchecker/tags .*/v?(\d\S*)\.tar\.gz
